osl::HashRandomPair Class Reference

`#include <hashRandomPair.h>`

## Static Public Member Functions

static void | setUp (unsigned int seed, unsigned int prob100)
static std::pair< char, char > | value (size_t key)
static std::pair< char, char > | value (const HashKey &key)
static bool | initialized ()

## Static Public Attributes

static const size_t | Length = 0x100000

## Static Private Attributes

static std::pair< char, char > | table [Length]
static bool | is_initialized = 0

## Detailed Description

Definition at line 12 of file hashRandomPair.h.

## Member Function Documentation

## initialized()

bool osl::hash::HashRandomPair::initialized | ( |  | ) |

inline static

Definition at line 29 of file hashRandomPair.h.

Referenced by osl::checkmate::Dfpn::attack(), and osl::checkmate::Dfpn::defense().

## setUp()

void osl::hash::HashRandomPair::setUp | ( | unsigned int | seed,
|  | unsigned int | prob100 )

static

Definition at line 10 of file hashRandomPair.cc.

## value() [1/2]

std::pair< char, char > osl::hash::HashRandomPair::value | ( | const HashKey & | key | ) |

inline static

Definition at line 25 of file hashRandomPair.h.

## value() [2/2]

std::pair< char, char > osl::hash::HashRandomPair::value | ( | size_t | key | ) |

inline static

Definition at line 21 of file hashRandomPair.h.

Referenced by osl::checkmate::Dfpn::attack(), and osl::checkmate::Dfpn::defense().

## Member Data Documentation

## is_initialized

bool osl::hash::HashRandomPair::is_initialized = 0

static private

Definition at line 18 of file hashRandomPair.h.

## Length

const size_t osl::hash::HashRandomPair::Length = 0x100000

static

Definition at line 15 of file hashRandomPair.h.

## table

std::pair< char, char > osl::hash::HashRandomPair::table

static private

Definition at line 17 of file hashRandomPair.h.

The documentation for this class was generated from the following files:

- hashRandomPair.h
- hashRandomPair.cc